{
  description = "WarrentyExpired Flake Configuration";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    dms.url = "github:AvengeMedia/DankMaterialShell";
    dms.inputs.nixpkgs.follows = "nixpkgs";
    quickshell.url = "github:quickshell-mirror/quickshell";
    neovim-nightly-overlay.url = "github:nix-community/neovim-nightly-overlay";
};
  outputs = { self, nixpkgs, dms, quickshell, ... }@inputs: {
    nixosConfigurations.damagedProperty = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = { inherit inputs; };
      modules = [
        ./hosts/desktop/configuration.nix
        dms.nixosModules.default
        { nixpkgs.overlays = [ quickshell.overlays.default ]; }
      ];
    };
    nixosConfigurations.damagedLaptop = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = { inherit inputs; };
      modules = [
        ./hosts/laptop/configuration.nix
      ];
    };
  };
}
